import request from '@/utils/request'

// 查询套餐列表
export function listCompanyVoicePackage(query) {
  return request({
    url: '/company/companyVoicePackage/list',
    method: 'get',
    params: query
  })
}
// 查询所有套餐
export function listAllCompanyVoicePackage(query) {
  return request({
    url: '/company/companyVoicePackage/listAll',
    method: 'get',
    params: query
  })
}
// 查询套餐详细
export function getCompanyVoicePackage(packageId) {
  return request({
    url: '/company/companyVoicePackage/' + packageId,
    method: 'get'
  })
}

// 新增套餐
export function addCompanyVoicePackage(data) {
  return request({
    url: '/company/companyVoicePackage',
    method: 'post',
    data: data
  })
}

// 修改套餐
export function updateCompanyVoicePackage(data) {
  return request({
    url: '/company/companyVoicePackage',
    method: 'put',
    data: data
  })
}

// 删除套餐
export function delCompanyVoicePackage(packageId) {
  return request({
    url: '/company/companyVoicePackage/' + packageId,
    method: 'delete'
  })
}

// 导出套餐
export function exportCompanyVoicePackage(query) {
  return request({
    url: '/company/companyVoicePackage/export',
    method: 'get',
    params: query
  })
}
